#!/bin/sh

STATUS=/var/local/sensorsd/status
DOHUP=0
RECIPIENTS="foo@bar.com sysadmin@somewhere.com"

MESSAGE=""

TROOM_MAX=24
TAC_MAX=15

TAC=`grep ACTemp $STATUS | cut -f3 -d','`
TROOM=`grep ServerTemp $STATUS | cut -f3 -d','`
LROOM=`grep RoomLight $STATUS | cut -f3 -d','`
LAC=`grep ACLight $STATUS | cut -f3 -d','`
PYRO1=`grep Pyro1 $STATUS | cut -f3 -d','`

if [ $TROOM -gt $TROOM_MAX ]
then
       MESSAGE="$MESSAGE\nCritical : Excessive server room temperature : $TROOM (>$TROOM_MAX)\n==="
       kill -USR1 `cat /var/run/sensorsd.pid`
fi

if [ $TAC -gt $TAC_MAX ]
then
       MESSAGE="$MESSAGE\nCritical : AC temperature too high : $TAC (>$TAC_MAX)\n==="
       kill -USR1 `cat /var/run/sensorsd.pid`
fi

if [ $LAC -eq 0 ]
then
       MESSAGE="$MESSAGE\nCritical : AC is *off*\n===" && DOHUP=1
       kill -USR1 `cat /var/run/sensorsd.pid`
fi

[ $LROOM -eq 1 ] && MESSAGE="$MESSAGE\nWarning : Server light is *on*\n==="&& DOHUP=1

#[ $PYRO1 -eq 1 ] && MESSAGE="$MESSAGE\nWarning : people detected in room\n===" && DOHUP=1

if [ "x$MESSAGE" != "x" ]
then
       (echo $MESSAGE;  sed -e 's/[0-9a-z],\(.*\),/\1=/' < "$STATUS") | mail -s "[MONITORING] Server Room event" $RECIPIENTS
fi

if [ $DOHUP -eq 1 ]
then
       kill -HUP `cat /var/run/sensorsd.pid`
fi